<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinessTransferOrder.mapper.BussinessTransferOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessTransferOrderResultMap" type="org.springblade.modules.guosen.bussinessTransferOrder.entity.BussinessTransferOrder">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="request_no" property="requestNo"/>
        <result column="order_no" property="orderNo"/>
        <result column="order_amount" property="orderAmount"/>
        <result column="from_merchant_no" property="fromMerchantNo"/>
        <result column="to_merchant_no" property="toMerchantNo"/>
        <result column="transfer_usage" property="transferUsage"/>
        <result column="fee" property="fee"/>
        <result column="finish_time" property="finishTime"/>
        <result column="debit_amount" property="debitAmount"/>
        <result column="receive_amount" property="receiveAmount"/>
        <result column="fee_merchant_no" property="feeMerchantNo"/>
        <result column="fee_charge_side" property="feeChargeSide"/>
        <result column="transfer_status" property="transferStatus"/>
        <result column="third_log" property="thirdLog"/>
        <result column="return_msg" property="returnMsg"/>
        <result column="transfer_scene" property="transferScene"/>
    </resultMap>


    <select id="selectBussinessTransferOrderPage" resultMap="bussinessTransferOrderResultMap">
        select * from cyzh_bussiness_transfer_order where is_deleted = 0
    </select>

</mapper>
